Jdk (Gradle API 8.11)

Package org.gradle.plugins.ide.idea.model

## Class Jdk

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.Jdk

-     public class Jdk
      extends java.lang.Object

  Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Jdk​(boolean assertKeyword, boolean jdk15, java.lang.String languageLevel, java.lang.String projectJdkName)` |
    `Jdk​(java.lang.String jdkName, IdeaLanguageLevel ideaLanguageLevel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getLanguageLevel()` |
    `java.lang.String` | `getProjectJdkName()` |
    `int` | `hashCode()` |
    `boolean` | `isAssertKeyword()` |
    `boolean` | `isJdk15()` |
    `void` | `setAssertKeyword​(boolean assertKeyword)` |
    `void` | `setJdk15​(boolean jdk15)` |
    `void` | `setLanguageLevel​(java.lang.String languageLevel)` |
    `void` | `setProjectJdkName​(java.lang.String projectJdkName)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Jdk

          public Jdk​(java.lang.String jdkName,
                     IdeaLanguageLevel ideaLanguageLevel)

    - #### Jdk

          public Jdk​(boolean assertKeyword,
                     boolean jdk15,
                     java.lang.String languageLevel,
                     java.lang.String projectJdkName)

  - ### Method Detail

    - #### isAssertKeyword

          public boolean isAssertKeyword()

    - #### setAssertKeyword

          public void setAssertKeyword​(boolean assertKeyword)

    - #### isJdk15

          public boolean isJdk15()

    - #### setJdk15

          public void setJdk15​(boolean jdk15)

    - #### getLanguageLevel

          public java.lang.String getLanguageLevel()

    - #### setLanguageLevel

          public void setLanguageLevel​(java.lang.String languageLevel)

    - #### getProjectJdkName

          public java.lang.String getProjectJdkName()

    - #### setProjectJdkName

          public void setProjectJdkName​(java.lang.String projectJdkName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`